{
  stdenv
, lib, fetchFromGitLab
, meson, ninja, pkg-config
, qtbase, wrapQtAppsHook
}:

stdenv.mkDerivation {
  pname = "dfl-utils";
  version = "20221026";

  src = fetchFromGitLab {
    owner = "desktop-frameworks";
    repo = "Utils";
    rev = "603f95cae18998e9ff8b205c3801699056549505";
    sha256 = "0wbiaw6d2n13cpnpnk7089c9jqbwxn0dp9qz4n9cp0ic3z5w0gq4";
  };

  buildInputs = [ qtbase meson ninja pkg-config ];
  nativeBuildInputs = [ wrapQtAppsHook ]; 
}
